Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class CachingMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.CachingMapper

All Implemented Interfaces:
  Mapper

    public class CachingMapper

extends MapperWrapper

Mapper that caches which names map to which classes. Prevents repetitive searching and class loading.

Author:
  Joe Walnes

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Constructor Summary
`CachingMapper(ClassMapper wrapped)` Deprecated. As of 1.2, use `CachingMapper(Mapper)`
`CachingMapper(Mapper wrapped)`

Method Summary
`Class` | `realClass(String elementName)` How a serialized class representation should be mapped back to a real class.

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, defaultImplementationOf, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, getLocalConverter, isImmutableValueType, lookupMapperOfType, realMember, serializedClass, serializedMember, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingMapper

    public CachingMapper(Mapper wrapped)

### CachingMapper

    public CachingMapper(ClassMapper wrapped)

  Deprecated. As of 1.2, use `CachingMapper(Mapper)`

Method Detail

### realClass

    public Class realClass(String elementName)

  Description copied from interface: `Mapper`
  How a serialized class representation should be mapped back to a real class.

  Specified by:
    `realClass` in interface `Mapper`
  Overrides:
    `realClass` in class `MapperWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.